OGRE-Next: Ogre::LodCollapseCostQuadric Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::LodCollapseCostQuadric Class Reference

`#include <OgreLodCollapseCostQuadric.h>`

Inheritance diagram for Ogre::LodCollapseCostQuadric:
[legend]

## Public Member Functions
Real | computeEdgeCollapseCost (LodData *data, LodData::VertexI srci, LodData::Edge *dstEdge) override
| Returns the collapse cost of the given edge.
void | initCollapseCosts (LodData *data) override
| This is called after the LodInputProvider has initialized LodData.
void | updateVertexCollapseCost (LodData *data, LodData::VertexI vertexi) override
| Called when edge cost gets invalid.
Public Member Functions inherited from Ogre::LodCollapseCost
virtual | ~LodCollapseCost ()
virtual void | computeVertexCollapseCost (LodData *data, LodData::VertexI vertexi, Real &collapseCost, LodData::VertexI &collapseToi)
| Called by initVertexCollapseCost and updateVertexCollapseCost, when the vertex minimal cost needs to be updated.
virtual void | initVertexCollapseCost (LodData *data, LodData::VertexI vertexi)
| Called from initCollapseCosts for every edge.

## Member Function Documentation

## ◆ computeEdgeCollapseCost()

Real Ogre::LodCollapseCostQuadric::computeEdgeCollapseCost | ( | LodData * | data,
|  | LodData::VertexI | srci,
|  | LodData::Edge * | dstEdge )
| overridevirtual

Returns the collapse cost of the given edge.

Implements Ogre::LodCollapseCost.

## ◆ initCollapseCosts()

void Ogre::LodCollapseCostQuadric::initCollapseCosts | ( | LodData * | data | ) |
| overridevirtual

This is called after the LodInputProvider has initialized LodData.

Reimplemented from Ogre::LodCollapseCost.

## ◆ updateVertexCollapseCost()

void Ogre::LodCollapseCostQuadric::updateVertexCollapseCost | ( | LodData * | data,
|  | LodData::VertexI | vertexi )
| overridevirtual

Called when edge cost gets invalid.

Reimplemented from Ogre::LodCollapseCost.

The documentation for this class was generated from the following file:

- OgreLodCollapseCostQuadric.h